
CREATE UNIQUE INDEX I1_SHKProcessDefinitions ON SHKProcessDefinitions(Name) ;

CREATE UNIQUE INDEX I1_SHKProcesses ON SHKProcesses(Id) ;
CREATE  INDEX I2_SHKProcesses ON SHKProcesses(ProcessDefinition) ;
CREATE  INDEX I3_SHKProcesses ON SHKProcesses(State) ;
CREATE  INDEX I4_SHKProcesses ON SHKProcesses(ActivityRequesterId) ;
CREATE  INDEX I5_SHKProcesses ON SHKProcesses(ResourceRequesterId) ;

CREATE UNIQUE INDEX I1_SHKProcessRequesters ON SHKProcessRequesters(Id) ;
CREATE  INDEX I2_SHKProcessRequesters ON SHKProcessRequesters(ActivityRequester) ;
CREATE  INDEX I3_SHKProcessRequesters ON SHKProcessRequesters(ResourceRequester) ;

CREATE UNIQUE INDEX I1_SHKActivities ON SHKActivities(Id) ;
CREATE  INDEX I2_SHKActivities ON SHKActivities(Process,ActivitySetDefinitionId,ActivityDefinitionId) ;
CREATE  INDEX I3_SHKActivities ON SHKActivities(Process,State) ;

CREATE UNIQUE INDEX I1_SHKResourcesTable ON SHKResourcesTable(Username) ;

CREATE UNIQUE INDEX I1_SHKAssignmentsTable ON SHKAssignmentsTable(CNT) ;
CREATE UNIQUE INDEX I2_SHKAssignmentsTable ON SHKAssignmentsTable(Activity,TheResource) ;
CREATE  INDEX I3_SHKAssignmentsTable ON SHKAssignmentsTable(TheResource,IsValid) ;
CREATE  INDEX I4_SHKAssignmentsTable ON SHKAssignmentsTable(ActivityId) ;
CREATE  INDEX I5_SHKAssignmentsTable ON SHKAssignmentsTable(ResourceId) ;

CREATE UNIQUE INDEX I1_SHKProcessData ON SHKProcessData(CNT) ;
CREATE UNIQUE INDEX I2_SHKProcessData ON SHKProcessData(Process,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKProcessDataWOB ON SHKProcessDataWOB(CNT) ;
CREATE UNIQUE INDEX I2_SHKProcessDataWOB ON SHKProcessDataWOB(Process,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKProcessDataBLOBs ON SHKProcessDataBLOBs(ProcessDataWOB,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKActivityData ON SHKActivityData(CNT) ;
CREATE UNIQUE INDEX I2_SHKActivityData ON SHKActivityData(Activity,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKActivityDataWOB ON SHKActivityDataWOB(CNT) ;
CREATE UNIQUE INDEX I2_SHKActivityDataWOB ON SHKActivityDataWOB(Activity,VariableDefinitionId,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKActivityDataBLOBs ON SHKActivityDataBLOBs(ActivityDataWOB,OrdNo) ;

CREATE UNIQUE INDEX I1_SHKAndJoinTable ON SHKAndJoinTable(CNT) ;
CREATE  INDEX I2_SHKAndJoinTable ON SHKAndJoinTable(Process,BlockActivity,ActivityDefinitionId) ;
CREATE  INDEX I3_SHKAndJoinTable ON SHKAndJoinTable(Activity) ;

CREATE UNIQUE INDEX I1_SHKDeadlines ON SHKDeadlines(CNT) ;
CREATE  INDEX I2_SHKDeadlines ON SHKDeadlines(Process,TimeLimit) ;
CREATE  INDEX I3_SHKDeadlines ON SHKDeadlines(Activity,TimeLimit) ;

CREATE UNIQUE INDEX I1_SHKProcessStates ON SHKProcessStates(KeyValue) ;
CREATE UNIQUE INDEX I2_SHKProcessStates ON SHKProcessStates(Name) ;

CREATE UNIQUE INDEX I1_SHKActivityStates ON SHKActivityStates(KeyValue) ;
CREATE UNIQUE INDEX I2_SHKActivityStates ON SHKActivityStates(Name) ;
